! This will test RMIF's ability to contend with malformed tables. (Receiving side and
!   Sending side of link on same host system).
!
! @bug 1055 RMIF crashes on a single packet
! @author  J. Czechowski IV
!
! <sPort>     - The KNOWN port of the server.  Client uses any available port.
! <timeout>   - Timeout for this test case to run (seconds)
!
startmacro L:sPort[-1] D:timeout[10]
  switch DEBUG         debug        GET DEF=false    SDEF=true
  switch DEBUGSERVER   debugs       GET DEF=^debug   SDEF=true
  switch DEBUGCLIENT   debugc       GET DEF=^debug   SDEF=true
  switch VERBOSE       verbose      GET DEF=false    SDEF=true
  switch VERBOSESERVER verboses     GET DEF=^verbose SDEF=true
  switch VERBOSECLIENT verbosec     GET DEF=^verbose SDEF=true
  switch STATEM        statemachine GET DEF=false    SDEF=true

  timer set

  call standardSetup timeout sPort
  pipe on
    ! The 'this' reference is passed to have an entry in the sub-macro registry
    %test_rmif_badtable_server/id=server/STATEM=^statemachine/DEBUG=^debugs/VERBOSE=^verboses/BG this sPort
    %test_rmif_badtable_client/id=client/STATEM=^statemachine/DEBUG=^debugc/VERBOSE=^verbosec/BG this sPort
  pipe off

  timer elapse
endmacro

!******************************************************************************!
procedure processMessage m:msg
  if debug then
    say "^reg.main.name: Got message name=^msg.name fid=^msg.fid info=^msg.info data=^msg.data"
  endif

  if false then ! Your message name goes here
    !
    ! Your message(s) processing goes here
    !
  else
    call processStandardMessages
  endif
return

! These are a set of standard procedures
include standard_rmif_procs.mminc
